Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
00893 Sound Minor Have not tried Feb 6, 2008, 13:20 Nov 2, 2008, 03:06
Tester -Misc Reporters- View Status Public Platform
Assigned To Resolution Fixed OS
Status [?] Resolved Driver nintendo/punchout.cpp
Version 0.115 Fixed in Version 0.128u2 Build
Fixed in Git Commit Github Pull Request #
Summary 00893: All games in playch10.c, punchout.c, vsnes.c: It seems that some sound channels are missing.
Description I noticed a litte problem. It seems that some sound channels are missing. If you play it on mame v0.112 and v0.113 (or later), you can hear the deference.

PCB recording provided by Kold666.
Steps To Reproduce
Additional Information Posted by MARBIN / Kold666

Tafoid:
In 0.112u4, all the drivers which use the NES sound (nes_apu) came up with an error when started:
-----------------------------------------------------
Exception at EIP=01216E0F: INTEGER DIVIDE BY ZERO
-----------------------------------------------------
EAX=00000001 EBX=0DE0B6B3 ECX=00000000 EDX=00000000
ESI=00000000 EDI=03D54230 EBP=0022F6F8 ESP=0022F6D8

This included all games in playch10.c, punchout.c and vsnes.c. Once this crash was fixed in 0.113 (old bug was nes0112u4red which for some reason didn't get transferred over to this new system) according to whatsnew.txt, the sound regression can first be heard.

I'm not sure if the changes in 0.112u4 or 0.113 are what caused it (opting for earlier), however. There were some major sound changes happening across the board around that time.

Since the original report, there are newer drivers which are also effected such as cham24.c and multigam.c
Github Commit
Flags
Regression Version 0.112u4
Affected Sets / Systems All games in playch10.c, punchout.c, vsnes.c
Attached Files
wma file icon punchout0115gre.wma (375,483 bytes) Feb 14, 2008, 17:38
Relationships
There are no relationship linked to this issue.
Notes
4
User avatar
No.00629
Tafoid
Administrator
Apr 10, 2008, 01:17
Additional Information added.
User avatar
No.00635
Justin Kerk
Developer
Apr 12, 2008, 21:21
Sounds like MESS bug 438: http://bugzilla.mess.org/show_bug.cgi?id=438

The time frame is a lot earlier on that though.
User avatar
No.02930
Fujix
Administrator
Oct 26, 2008, 01:55
Fix submitted to the list by a contributor.
User avatar
No.02967
aaron
Developer
Nov 2, 2008, 03:06
Fix was bad. Proper fix is included in 0.128u2.